<!--
  Transforms openmath cd fns1 to gap syntax.
-->
<xsl:transform version='1.0'
  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  xmlns:om="http://www.openmath.org/OpenMath"
>

  <!-- fns1.lambda -->
  <xsl:template 
    match='
      om:OMBIND[*[1][self::om:OMS[@cd="fns1" and @name="lambda"]]]
    '
  >
    <xsl:text>function(</xsl:text>
    <xsl:for-each select='*[2][self::om:OMBVAR]/om:OMV'>
      <xsl:if test='position()>1'>
        <xsl:text>,</xsl:text>
      </xsl:if>
      <xsl:apply-templates select='.'/>
    </xsl:for-each>
    <xsl:text>) { return </xsl:text>
    <xsl:apply-templates select='*[3]'/>
    <xsl:text>; }</xsl:text>
  </xsl:template>

</xsl:transform>
