<!--
  Transforms openmath cd arith1 to Javascript syntax.
-->
<xsl:transform version='1.0'
  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  xmlns:om="http://www.openmath.org/OpenMath"
>

  <!-- arith1.root -->
  <xsl:template 
    match='
      om:OMA[*[1][self::om:OMS[@cd="arith1" and @name="root"]]]
    '
  >
    <xsl:text>Math.pow(</xsl:text>
    <xsl:apply-templates select='*[2]'/>
    <xsl:text>, 1/(</xsl:text>
    <xsl:apply-templates select='*[3]'/>
    <xsl:text>))</xsl:text>
  </xsl:template>

</xsl:transform>
