<!--
  Transforms openmath cd transc1 to Javascript syntax.
-->
<xsl:transform version='1.0'
  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  xmlns:om="http://www.openmath.org/OpenMath"
>

  <!-- transc1.log -->
  <xsl:template 
    match='
      om:OMA[*[1][self::om:OMS[@cd="transc1" and @name="log"]]]
    '
  >
    <xsl:text>(Math.log(</xsl:text>
    <xsl:apply-templates select='*[3]'/>
    <xsl:text>)/Math.log(</xsl:text>
    <xsl:apply-templates select='*[2]'/>
    <xsl:text>))</xsl:text>
  </xsl:template>

</xsl:transform>
